summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorNick Lewycky <nicholas@mxc.ca>2009-02-03 07:10:30 +0000
committerNick Lewycky <nicholas@mxc.ca>2009-02-03 07:10:30 +0000
commite792b1d841d1173c665533dfaef2c8d8d5a795ee (patch)
tree97da47da1e1482acaecb5933c289d509a6a92d5d /configure
parente2be5d5fd8bd8d353567ad02d61bdf32b9dfa66c (diff)
downloadllvm-e792b1d841d1173c665533dfaef2c8d8d5a795ee.tar.gz
llvm-e792b1d841d1173c665533dfaef2c8d8d5a795ee.tar.bz2
llvm-e792b1d841d1173c665533dfaef2c8d8d5a795ee.tar.xz
Regenerate configure.
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@63622 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure82
1 files changed, 56 insertions, 26 deletions
diff --git a/configure b/configure
index 19dfdf6799..b0db1e8d60 100755
--- a/configure
+++ b/configure
@@ -842,6 +842,7 @@ ENABLE_PIC
TARGETS_TO_BUILD
ENABLE_CBE_PRINTF_A
EXTRA_OPTIONS
+BINUTILS_INCDIR
CXX
CXXFLAGS
ac_ct_CXX
@@ -1574,6 +1575,8 @@ Optional Packages:
--with-extra-options Specify addtional options to compile LLVM with
--with-ocaml-libdir Specify install location for ocaml bindings (default
is stdlib)
+ --with-binutils-include Specify path to binutils/include/ containing
+ plugin-api.h file for gold plugin.
--with-tclinclude directory where tcl headers are
--with-gnu-ld assume the C compiler uses GNU ld [default=no]
--with-pic try to use only PIC/non-PIC objects [default=use
@@ -5063,6 +5066,32 @@ echo "$as_me: error: Invalid path for --with-ocaml-libdir. Provide full path" >&
esac
+# Check whether --with-binutils-include was given.
+if test "${with_binutils_include+set}" = set; then
+ withval=$with_binutils_include;
+else
+ withval=default
+fi
+
+case "$withval" in
+ default) WITH_BINUTILS_INCDIR=default ;;
+ /* | [A-Za-z]:[\\/]*) WITH_BINUTILS_INCDIR=$withval ;;
+ *) { { echo "$as_me:$LINENO: error: Invalid path for --with-binutils-include. Provide full path" >&5
+echo "$as_me: error: Invalid path for --with-binutils-include. Provide full path" >&2;}
+ { (exit 1); exit 1; }; } ;;
+esac
+if test "x$WITH_BINUTILS_INCDIR" != xdefault ; then
+ BINUTILS_INCDIR=$WITH_BINUTILS_INCDIR
+
+ if test ! -f "$WITH_BINUTILS_INCDIR/plugin-api.h"; then
+ echo "$WITH_BINUTILS_INCDIR/plugin-api.h"
+ { { echo "$as_me:$LINENO: error: Invalid path to directory containing plugin-api.h." >&5
+echo "$as_me: error: Invalid path to directory containing plugin-api.h." >&2;}
+ { (exit 1); exit 1; }; };
+ fi
+fi
+
+
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -10832,7 +10861,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10835 "configure"
+#line 10864 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12976,7 +13005,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 12979 "configure"' > conftest.$ac_ext
+ echo '#line 13008 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -14694,11 +14723,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14697: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14726: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14701: \$? = $ac_status" >&5
+ echo "$as_me:14730: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14962,11 +14991,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14965: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14994: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14969: \$? = $ac_status" >&5
+ echo "$as_me:14998: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15066,11 +15095,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15069: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15098: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:15073: \$? = $ac_status" >&5
+ echo "$as_me:15102: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17518,7 +17547,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17521 "configure"
+#line 17550 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17618,7 +17647,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17621 "configure"
+#line 17650 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -19986,11 +20015,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:19989: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:20018: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:19993: \$? = $ac_status" >&5
+ echo "$as_me:20022: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -20090,11 +20119,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:20093: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:20122: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:20097: \$? = $ac_status" >&5
+ echo "$as_me:20126: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -21660,11 +21689,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:21663: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:21692: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:21667: \$? = $ac_status" >&5
+ echo "$as_me:21696: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -21764,11 +21793,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:21767: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:21796: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:21771: \$? = $ac_status" >&5
+ echo "$as_me:21800: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -23999,11 +24028,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:24002: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:24031: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:24006: \$? = $ac_status" >&5
+ echo "$as_me:24035: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -24267,11 +24296,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:24270: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:24299: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:24274: \$? = $ac_status" >&5
+ echo "$as_me:24303: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -24371,11 +24400,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:24374: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:24403: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:24378: \$? = $ac_status" >&5
+ echo "$as_me:24407: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -35342,6 +35371,7 @@ ENABLE_PIC!$ENABLE_PIC$ac_delim
TARGETS_TO_BUILD!$TARGETS_TO_BUILD$ac_delim
ENABLE_CBE_PRINTF_A!$ENABLE_CBE_PRINTF_A$ac_delim
EXTRA_OPTIONS!$EXTRA_OPTIONS$ac_delim
+BINUTILS_INCDIR!$BINUTILS_INCDIR$ac_delim
CXX!$CXX$ac_delim
CXXFLAGS!$CXXFLAGS$ac_delim
ac_ct_CXX!$ac_ct_CXX$ac_delim
@@ -35352,7 +35382,6 @@ FLEX!$FLEX$ac_delim
YACC!$YACC$ac_delim
YFLAGS!$YFLAGS$ac_delim
BISON!$BISON$ac_delim
-NM!$NM$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -35394,6 +35423,7 @@ _ACEOF
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
+NM!$NM$ac_delim
ifGNUmake!$ifGNUmake$ac_delim
LN_S!$LN_S$ac_delim
CMP!$CMP$ac_delim
@@ -35476,7 +35506,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 80; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 81; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5